-- MariaDB dump 10.19  Distrib 10.5.9-MariaDB, for osx10.16 (x86_64)
--
-- Host: localhost    Database: annisa
-- ------------------------------------------------------
-- Server version	10.5.9-MariaDB

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `t_permission_role`
--

DROP TABLE IF EXISTS `t_permission_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_permission_role` (
  `role_id` int(10) unsigned NOT NULL,
  `module` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `permission` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`role_id`,`module`,`permission`),
  CONSTRAINT `t_permission_role_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `t_role` (`id_role`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_permission_role`
--

LOCK TABLES `t_permission_role` WRITE;
/*!40000 ALTER TABLE `t_permission_role` DISABLE KEYS */;
INSERT INTO `t_permission_role` VALUES (1,'dashboard','read'),(3,'anggota','create'),(3,'anggota','delete'),(3,'anggota','read_all'),(3,'anggota','read_pc'),(3,'anggota','read_pd'),(3,'anggota','read_pj'),(3,'anggota','read_pw'),(3,'anggota','update_all'),(3,'anggota','update_pc'),(3,'anggota','update_pd'),(3,'anggota','update_pj'),(3,'anggota','update_pw'),(3,'dashboard','read'),(3,'indexperformapc','create'),(3,'indexperformapc','delete'),(3,'indexperformapc','read'),(3,'indexperformapc','update'),(3,'indexperformapd','create'),(3,'indexperformapd','delete'),(3,'indexperformapd','read'),(3,'indexperformapd','update'),(3,'indexperformapj','create'),(3,'indexperformapj','delete'),(3,'indexperformapj','read'),(3,'indexperformapj','update'),(3,'indexperformapw','create'),(3,'indexperformapw','delete'),(3,'indexperformapw','read'),(3,'indexperformapw','update'),(3,'jamiyyah','create'),(3,'jamiyyah','delete'),(3,'jamiyyah','read'),(3,'jamiyyah','update'),(3,'monografipc','create'),(3,'monografipc','delete'),(3,'monografipc','read'),(3,'monografipc','update'),(3,'monografipd','create'),(3,'monografipd','delete'),(3,'monografipd','read'),(3,'monografipd','update'),(3,'monografipj','create'),(3,'monografipj','delete'),(3,'monografipj','read'),(3,'monografipj','update'),(3,'monografipw','create'),(3,'monografipw','delete'),(3,'monografipw','read'),(3,'monografipw','update'),(3,'mutasi','create'),(3,'mutasi','delete'),(3,'mutasi','read'),(3,'mutasi','update'),(3,'otonom','read'),(3,'permission','read'),(3,'permission','update'),(3,'role','read'),(3,'role','update'),(3,'users','create'),(3,'users','delete'),(3,'users','read'),(3,'users','update'),(4,'anggota','read_all'),(4,'anggota','read_pc'),(4,'anggota','read_pd'),(4,'anggota','read_pj'),(4,'anggota','read_pw'),(4,'anggota','update_all'),(4,'anggota','update_pc'),(4,'anggota','update_pd'),(4,'anggota','update_pj'),(4,'anggota','update_pw'),(4,'dashboard','read'),(4,'indexperformapc','create'),(4,'indexperformapc','delete'),(4,'indexperformapc','read'),(4,'indexperformapc','update'),(4,'indexperformapd','create'),(4,'indexperformapd','delete'),(4,'indexperformapd','read'),(4,'indexperformapd','update'),(4,'indexperformapj','create'),(4,'indexperformapj','delete'),(4,'indexperformapj','read'),(4,'indexperformapj','update'),(4,'indexperformapw','create'),(4,'indexperformapw','delete'),(4,'indexperformapw','read'),(4,'indexperformapw','update'),(4,'jamiyyah','create'),(4,'jamiyyah','delete'),(4,'jamiyyah','read'),(4,'jamiyyah','update'),(4,'monografipc','create'),(4,'monografipc','delete'),(4,'monografipc','read'),(4,'monografipc','update'),(4,'monografipd','create'),(4,'monografipd','delete'),(4,'monografipd','read'),(4,'monografipd','update'),(4,'monografipj','create'),(4,'monografipj','delete'),(4,'monografipj','read'),(4,'monografipj','update'),(4,'monografipw','create'),(4,'monografipw','delete'),(4,'monografipw','read'),(4,'monografipw','update'),(4,'mutasi','read'),(4,'mutasi','update'),(4,'otonom','read'),(4,'permission','read'),(4,'role','read'),(4,'users','read'),(4,'users','update'),(5,'anggota','read_pc'),(5,'anggota','read_pd'),(5,'anggota','read_pj'),(5,'anggota','read_pw'),(5,'anggota','update_pc'),(5,'anggota','update_pd'),(5,'anggota','update_pj'),(5,'anggota','update_pw'),(5,'dashboard','read'),(5,'indexperformapc','create'),(5,'indexperformapc','delete'),(5,'indexperformapc','read'),(5,'indexperformapc','update'),(5,'indexperformapd','create'),(5,'indexperformapd','delete'),(5,'indexperformapd','read'),(5,'indexperformapd','update'),(5,'indexperformapj','create'),(5,'indexperformapj','delete'),(5,'indexperformapj','read'),(5,'indexperformapj','update'),(5,'indexperformapw','create'),(5,'indexperformapw','delete'),(5,'indexperformapw','read'),(5,'indexperformapw','update'),(5,'jamiyyah','create'),(5,'jamiyyah','delete'),(5,'jamiyyah','read'),(5,'jamiyyah','update'),(5,'monografipc','create'),(5,'monografipc','delete'),(5,'monografipc','read'),(5,'monografipc','update'),(5,'monografipd','create'),(5,'monografipd','delete'),(5,'monografipd','read'),(5,'monografipd','update'),(5,'monografipj','create'),(5,'monografipj','delete'),(5,'monografipj','read'),(5,'monografipj','update'),(5,'monografipw','create'),(5,'monografipw','delete'),(5,'monografipw','read'),(5,'monografipw','update'),(5,'mutasi','read'),(5,'mutasi','update'),(5,'otonom','read'),(5,'permission','read'),(5,'role','read'),(5,'users','read'),(5,'users','update'),(6,'anggota','read_pc'),(6,'anggota','read_pd'),(6,'anggota','read_pj'),(6,'anggota','read_pw'),(6,'anggota','update_pc'),(6,'anggota','update_pd'),(6,'anggota','update_pj'),(6,'anggota','update_pw'),(6,'dashboard','read'),(6,'indexperformapc','create'),(6,'indexperformapc','delete'),(6,'indexperformapc','read'),(6,'indexperformapc','update'),(6,'indexperformapd','create'),(6,'indexperformapd','delete'),(6,'indexperformapd','read'),(6,'indexperformapd','update'),(6,'indexperformapj','create'),(6,'indexperformapj','delete'),(6,'indexperformapj','read'),(6,'indexperformapj','update'),(6,'indexperformapw','create'),(6,'indexperformapw','delete'),(6,'indexperformapw','read'),(6,'indexperformapw','update'),(6,'jamiyyah','create'),(6,'jamiyyah','delete'),(6,'jamiyyah','read'),(6,'jamiyyah','update'),(6,'monografipc','create'),(6,'monografipc','delete'),(6,'monografipc','read'),(6,'monografipc','update'),(6,'monografipd','create'),(6,'monografipd','delete'),(6,'monografipd','read'),(6,'monografipd','update'),(6,'monografipj','create'),(6,'monografipj','delete'),(6,'monografipj','read'),(6,'monografipj','update'),(6,'monografipw','create'),(6,'monografipw','delete'),(6,'monografipw','read'),(6,'monografipw','update'),(6,'mutasi','read'),(6,'mutasi','update'),(6,'otonom','read'),(6,'permission','read'),(6,'role','read'),(6,'users','read'),(6,'users','update'),(7,'anggota','read_pc'),(7,'anggota','read_pd'),(7,'anggota','read_pj'),(7,'anggota','update_pc'),(7,'anggota','update_pd'),(7,'anggota','update_pj'),(7,'dashboard','read'),(7,'indexperformapc','create'),(7,'indexperformapc','delete'),(7,'indexperformapc','read'),(7,'indexperformapc','update'),(7,'indexperformapd','create'),(7,'indexperformapd','delete'),(7,'indexperformapd','read'),(7,'indexperformapd','update'),(7,'indexperformapj','create'),(7,'indexperformapj','delete'),(7,'indexperformapj','read'),(7,'indexperformapj','update'),(7,'jamiyyah','create'),(7,'jamiyyah','delete'),(7,'jamiyyah','read'),(7,'jamiyyah','update'),(7,'monografipc','create'),(7,'monografipc','delete'),(7,'monografipc','read'),(7,'monografipc','update'),(7,'monografipd','create'),(7,'monografipd','delete'),(7,'monografipd','read'),(7,'monografipd','update'),(7,'monografipj','create'),(7,'monografipj','delete'),(7,'monografipj','read'),(7,'monografipj','update'),(7,'mutasi','read'),(7,'mutasi','update'),(7,'otonom','read'),(7,'permission','read'),(7,'role','read'),(7,'users','read'),(7,'users','update'),(8,'anggota','read_pc'),(8,'anggota','read_pd'),(8,'anggota','read_pj'),(8,'anggota','update_pc'),(8,'anggota','update_pd'),(8,'anggota','update_pj'),(8,'dashboard','read'),(8,'indexperformapc','create'),(8,'indexperformapc','delete'),(8,'indexperformapc','read'),(8,'indexperformapc','update'),(8,'indexperformapd','create'),(8,'indexperformapd','delete'),(8,'indexperformapd','read'),(8,'indexperformapd','update'),(8,'indexperformapj','create'),(8,'indexperformapj','delete'),(8,'indexperformapj','read'),(8,'indexperformapj','update'),(8,'jamiyyah','create'),(8,'jamiyyah','delete'),(8,'jamiyyah','read'),(8,'jamiyyah','update'),(8,'monografipc','create'),(8,'monografipc','delete'),(8,'monografipc','read'),(8,'monografipc','update'),(8,'monografipd','create'),(8,'monografipd','delete'),(8,'monografipd','read'),(8,'monografipd','update'),(8,'monografipj','create'),(8,'monografipj','delete'),(8,'monografipj','read'),(8,'monografipj','update'),(8,'mutasi','read'),(8,'mutasi','update'),(8,'otonom','read'),(8,'permission','read'),(8,'role','read'),(8,'users','read'),(8,'users','update'),(9,'anggota','create'),(9,'anggota','read_pc'),(9,'anggota','read_pj'),(9,'anggota','update_pc'),(9,'anggota','update_pj'),(9,'dashboard','read'),(9,'indexperformapc','create'),(9,'indexperformapc','delete'),(9,'indexperformapc','read'),(9,'indexperformapc','update'),(9,'jamiyyah','create'),(9,'jamiyyah','delete'),(9,'jamiyyah','read'),(9,'jamiyyah','update'),(9,'monografipc','create'),(9,'monografipc','delete'),(9,'monografipc','read'),(9,'monografipc','update'),(9,'monografipj','create'),(9,'monografipj','delete'),(9,'monografipj','read'),(9,'monografipj','update'),(9,'mutasi','create'),(9,'mutasi','read'),(9,'mutasi','update'),(9,'otonom','read'),(9,'permission','read'),(9,'role','read'),(9,'users','create'),(9,'users','delete'),(9,'users','read'),(9,'users','update'),(10,'anggota','create'),(10,'anggota','read_pc'),(10,'anggota','read_pj'),(10,'anggota','update_pc'),(10,'anggota','update_pj'),(10,'dashboard','read'),(10,'indexperformapc','create'),(10,'indexperformapc','delete'),(10,'indexperformapc','read'),(10,'indexperformapc','update'),(10,'indexperformapj','create'),(10,'indexperformapj','delete'),(10,'indexperformapj','read'),(10,'indexperformapj','update'),(10,'jamiyyah','create'),(10,'jamiyyah','delete'),(10,'jamiyyah','read'),(10,'jamiyyah','update'),(10,'monografipc','create'),(10,'monografipc','delete'),(10,'monografipc','read'),(10,'monografipc','update'),(10,'monografipj','create'),(10,'monografipj','delete'),(10,'monografipj','read'),(10,'monografipj','update'),(10,'mutasi','create'),(10,'mutasi','read'),(10,'mutasi','update'),(10,'otonom','read'),(10,'permission','read'),(10,'role','read'),(10,'users','create'),(10,'users','delete'),(10,'users','read'),(10,'users','update'),(11,'anggota','read_pj'),(11,'anggota','update_pj'),(11,'dashboard','read'),(11,'indexperformapj','create'),(11,'indexperformapj','delete'),(11,'indexperformapj','read'),(11,'indexperformapj','update'),(11,'jamiyyah','read'),(11,'jamiyyah','update'),(11,'monografipj','create'),(11,'monografipj','delete'),(11,'monografipj','read'),(11,'monografipj','update'),(11,'mutasi','read'),(11,'mutasi','update'),(11,'otonom','read'),(11,'permission','read'),(11,'role','read'),(11,'users','read'),(11,'users','update');
/*!40000 ALTER TABLE `t_permission_role` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2021-07-06  8:54:43
